
QGIS Application - Bug report #15295

2.16 Attribute table - sorting problem with numeric values

2016-07-17 11:35 PM - Lukasz Sychowicz

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23229

Description

sorting integer fields in the attribute table is like a string

Related issues:

Duplicated by QGIS Application - Bug report # 15366: Attribute table sorts nu... Rejected 2016-07-30

Associated revisions

Revision ea0f4da5 - 2016-08-01 04:31 PM - Matthias Kuhn 

Sort attribute table by value for numerical columns

Fix #15318

Fix #15295

Revision 7397f435 - 2016-08-01 04:31 PM - Matthias Kuhn 

Sort attribute table by value for numerical columns

Fix #15318

Fix #15295

Revision a5a24b43 - 2016-08-01 04:31 PM - Matthias Kuhn 

Sort attribute table by value for numerical columns

Fix #15318

Fix #15295

History

#1 - 2016-07-17 11:46 PM - Lukasz Sychowicz

*integer (not interval)

#2 - 2016-07-18 03:06 PM - Giovanni Manghi

- OS version deleted (7)

- Operating System deleted (Windows)
- Priority changed from Normal to Severe/Regression

confirmed also on Linux with postgis layers. Pretty bad regression.

#3 - 2016-08-01 06:17 AM - Anita Graser

- Affected QGIS version changed from 2.16.0 to master

- Subject changed from 2.16 Attribute table - sorting problem to 2.16 Attribute table - sorting problem with numeric values

#4 - 2016-08-01 07:31 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"ea0f4da58c87bc590f8b23049da0963ee9d9cd23".
